# yamllint disable rule:line-length
---
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: gitlab
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  destination:
    name: in-cluster
    namespace: gitlab
  project: default
  source:
    repoURL: https://charts.gitlab.io
    chart: gitlab/gitlab-runner
    targetRevision: 0.49.1
    helm:
      values: |
        image:
          registry: registry.gitlab.com
          image: gitlab-org/gitlab-runner
        imagePullPolicy: IfNotPresent
        gitlabUrl: https://gitlab.com/

        runnerRegistrationToken: "GR1348941w9eDw6xYsxQ-K_f6BQqp"

        concurrent: 10

        checkInterval: 30

        rbac:
          create: true 

          rules: []
        metrics:
          enabled: true

          portName: metrics

          port: 9252

          serviceMonitor:
            enabled: false

        service:
          enabled: false

          type: ClusterIP

        runners:
          config: |
            [[runners]]
              [runners.kubernetes]
                namespace = "{{.Release.Namespace}}"
                image = "ubuntu:20.04"
                privileged = true
              [[runners.kubernetes.volume.host_path]]
                name = "docker"
                mount_path = "/var/run/docker.sock"
                read_only = true
                host_path = "/var/run/docker.sock"

          runUntagged: true

          cache: {}
          builds: {}
          services: {}

          helpers: {}
        securityContext:
          allowPrivilegeEscalation: false
          readOnlyRootFilesystem: false
          runAsNonRoot: true
          privileged: false
          capabilities:
            drop: ["ALL"]

        podSecurityContext:
          runAsUser: 100
          fsGroup: 65533
        resources: {}

        affinity: {}

        nodeSelector: {}

        tolerations: []
        hostAliases: []
        podAnnotations: {}
        podLabels: {}
        priorityClassName: ""

        secrets: []
        configMaps: {}

        volumeMounts: []
        volumes: []

  syncPolicy:
    syncOptions:
      - CreateNamespace=true
    automated:
      prune: true
      selfHeal: true

